Bug 32528 - Install/upgrade fails and crashes.
Summary: Install/upgrade fails and crashes.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 7.0
Hardware: alpha
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-21 13:48 UTC by Ed Richley
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-23 03:22:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ed Richley 2001-03-21 13:48:45 UTC
While trying to upgrade to 7.0, or doing a complete install, the
installation
crashes and gives this :

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in
__call_
_
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1543, in
doInst
all
    self.instCallback, p)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1298, in
instCa
llback
    self.rpmFD = os.open(fn, os.O_RDONLY)
OSError: [Errno 2] No such file or directory:
'/mnt/source/RedHat/RPMS/sndconfig
-0.57-2.alpha.rpm'

Local variables in innermost frame:
fn: /mnt/source/RedHat/RPMS/sndconfig-0.57-2.alpha.rpm
total: 0
self: <todo.ToDo instance at 1203a93f0>
h: <header object at 120a533b0>
amount: 0
intf: <text.InstallProgressWindow instance at 121278bf0>
what: 2

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'scd0'
sS'progressWindow'
p9

<failed>

Comment 1 Michael Fulbright 2001-03-21 19:00:20 UTC
Look on VC4 (cntl-alt-f4) and see if there are cd errors popping out when this
error occurs.  Most like your CD is bad.

Comment 2 Ed Richley 2001-03-23 03:22:31 UTC
Right. With a new cdrom it works now. 

(originally, when it crashed, it told me to report a bug, so I did!)

Thanks.


Note You need to log in before you can comment on or make changes to this bug.